<?php

namespace Drupal\Tests\locale\Kernel;

use Drupal\Core\Entity\EntityType;
use Drupal\KernelTests\KernelTestBase;

/**
 * Tests that entity type definitions can be serialized when Locale is present.
 *
 * @group locale
 */
class EntityTypeSerializationTest extends KernelTestBase {

  /**
   * {@inheritdoc}
   */
  public static $modules = [
    'field',
    'file',
    'language',
    'locale',
  ];

  public function testEntityTypeSerializationWithTranslationService() {
    $entity_type = new EntityType([
      'id' => $this->randomMachineName(),
    ]);

    /** @var \Drupal\Core\StringTranslation\TranslationInterface $translation */
    $translation = $this->container->get('string_translation');
    $entity_type->setStringTranslation($translation);

    serialize($entity_type);
  }

}
